Name:		vldocking
Version:	2.1.5
Release:	14%{?dist}
Summary:	A Java ™ docking system for JFC Swing applications
Group:		Development/Tools
License:	CeCILL
URL:		http://www.vlsolutions.com/en/download/
# the zip file can be downloaded from the redirect 
# from  http://www.vlsolutions.com/en/download/downloader2_0.php
 
Source0:	vldocking_%{version}.zip
Patch1:		vldocking-build.patch

BuildArch:	noarch

BuildRequires:	java-devel >= 1.5 
BuildRequires:	jpackage-utils, ant

Requires:	java >= 1.5
Requires:	jpackage-utils


%description 
Docking windows allow the user to reorganize the application's workspace
according to his needs:

	* Drag and Drop parts of the application ("Dockables")
	* Hide the dockables not often used to save screen space
	* Detach some dockables and have them floating outside the window
	* Easily switch between different workspaces
	* And much more... 

%package	javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
%description	javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}_%{version}

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

%build

ant jar
ant javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -D jar/%{name}_%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc Licence_CeCILL-V1_VF.pdf Licence_CeCILL-V1.1_VA.pdf
%{_javadir}/*

%files javadoc
%{_javadocdir}/*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 29 2013 Ismael Olea <ismael@olea.org> - 2.1.5-7
- fixing #1022168

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 22 2010 Ismael Olea <ismael@olea.org> 2.1.5-1
- updating to 2.1.5
- vldocking-build.patch not needed anymore

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6e-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6e-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 17 2008 Ismael Olea <ismael@olea.org> 2.0.6e-4olea
- Cosmetic changes.

* Sun Aug 31 2008 Ismael Olea <ismael@olea.org> 2.0.6e-3olea
- Cosmetic changes.

* Fri Aug 29 2008 Ismael Olea <ismael@olea.org> 2.0.6e-2olea
- QA revision

* Wed Aug 27 2008 Ismael Olea <ismael@olea.org> 2.0.6e-1olea
- first version
